# Harun Rashid, CSIRO, Feb 2020.

#import numpy as np
import xarray as xr
#import pandas as pd
#import scipy.signal as sig
import matplotlib.pyplot as plt
#import seaborn as sns

#opt = 1
#opt = 2
opt = 3
if opt == 1:
   f0 = xr.open_dataset("OBS_SeasPhaseLock_Nino3.4.nc")
   f1 = xr.open_dataset("CMIP6_SeasPhaseLock_HistScen.nc")
   f2 = xr.open_dataset("CMIP5_SeasPhaseLock_HistScen.nc")
elif opt == 2:
   f0 = xr.open_dataset("OBS_SeasPhaseLock_Nino3.4_v2.nc")
   f1 = xr.open_dataset("CMIP6_SeasPhaseLock_HistScen_v2.nc")
   f2 = xr.open_dataset("CMIP5_SeasPhaseLock_HistScen_v2.nc")
else:
   f00 = xr.open_dataset("OBS_SeasPhaseLock_Nino3.4.nc")
   f0 = xr.open_dataset("OBS_SeasPhaseLock_Nino3.4_v2.nc")
   f1 = xr.open_dataset("CMIP6_SeasPhaseLock_HistScen.nc")
   f2 = xr.open_dataset("CMIP5_SeasPhaseLock_HistScen.nc")

stdv_obs0 = f00['nino34_obs_std'].to_series()
stdv_obs = f0['nino34_obs_std'].to_series()
stdv_cmip61 = f1['nino34_hist_std'].T.to_pandas()
stdv_cmip62 = f1['nino34_s585_std'].T.to_pandas()
stdv_cmip51 = f2['nino34_hist_std'].T.to_pandas()
stdv_cmip52 = f2['nino34_rcp85_std'].T.to_pandas()

xtick = ["Jan","Feb","Mar","Apr","May","Jun", \
              "Jul","Aug","Sep","Oct","Nov","Dec"]
stdv_obs0.index = range(1,13)
stdv_obs.index = range(1,13)
stdv_cmip61.index = range(1,13)
stdv_cmip62.index = range(1,13)
stdv_cmip51.index = range(1,13)
stdv_cmip52.index = range(1,13)

ens_mean_cmip61 = stdv_cmip61.mean(axis=1)
ens_mean_cmip62 = stdv_cmip62.mean(axis=1)
ens_mean_cmip51 = stdv_cmip51.mean(axis=1)
ens_mean_cmip52 = stdv_cmip52.mean(axis=1)

fig, axes = plt.subplots(1,1, figsize=(6,6))
plt.setp(axes, xticks=range(1,13,1), xticklabels=xtick,xlim=[1,12])
colr = ['b','r','g','c','m']

ax = axes
stdv_obs0.plot(ax=ax,legend=True,lw=3,style='k-',label='HadSST_1870-2014')
stdv_obs.plot(ax=ax,legend=True,lw=1,style='k-',label='HadSST_1950-2014')
#stdv_cmip61.plot(ax=ax,legend=False,lw=1,style='b:')
#stdv_cmip62.plot(ax=ax,legend=False,lw=1,style='r:')
ens_mean_cmip61.plot(ax=ax,lw=3,style='b-',legend=True,label='Hist_CMIP6')
ens_mean_cmip62.plot(ax=ax,lw=3,style='r-',legend=True,label='SSP585')
ens_mean_cmip51.plot(ax=ax,lw=3,style='b--',legend=True,label='Hist_CMIP5')
ens_mean_cmip52.plot(ax=ax,lw=3,style='r--',legend=True,label='RCP85')
ax.set_xlabel('')
ax.set_ylabel('Standard deviations of Ni$\~\mathrm{n}$o-3.4 indices ($^\mathrm{o}$C)')
ax.set_ylim([0.5,1.4])
ax.set_title('Seasonal phase locking of ENSO in CMIP6/CMIP5')
ax.grid(True)
#ax.legend(loc='upper left', frameon=False)
#ax.legend(loc='best')
ax.legend(loc=(0.21,0.71))
rotx=plt.setp(ax.xaxis.get_majorticklabels(), rotation=30 )

outFile = 'Fig_SeasonalPhaseLocking_ENSO_HistSSP585_v4.eps'
plt.savefig(outFile, format='eps', dpi=1000, bbox_inches='tight')

#plt.show()


