Scripts for running climpact2 on CMIP data
==========================================

climpact2 can be obtained from https://github.com/ARCCSS-extremes/climpact2

Download and install following its instructions. The 'ancillary' directory of
the climpact2 source should be copied or symlinked into the run directory of
these scripts

All climpact metrics are calculated using a baseline period of 1981-2010 from
the matching historical run.

## Preparation scripts

### select_climpact.py

Creates a JSON file describing what runs are available on the NCI filesystem
with daily tasmin, tasmax, pr.

   ./select_climpact.py > candidates.json

The JSON file groups together experiments of compatible runs, e.g.
```
[
    {
        "historical": {
            "name": "CNRM-ESM2-1_historical_r1i1p1f2_gr.nc",
            "tasmin": ["path/to/tasmin_day_CNRM-ESM2-1_historical_r1i1p1f2_gr_18500101-20141231.nc"],
            "tasmax": ["path/to/tasmax_day_CNRM-ESM2-1_historical_r1i1p1f2_gr_18500101-20141231.nc"],
            "pr": ["path/to/pr_day_CNRM-ESM2-1_historical_r1i1p1f2_gr_18500101-19491231.nc", 
                   "path/to/pr_day_CNRM-ESM2-1_historical_r1i1p1f2_gr_19500101-20141231.nc"]
        },
        "ssp245": {
            "name": "CNRM-ESM2-1_ssp245_r1i1p1f2_gr.nc",
            "tasmin": [ ],
            "tasmax": [ ],
            "pr": [ ]
        },
        "ssp585": {
            "name": "CNRM-ESM2-1_ssp585_r1i1p1f2_gr.nc",
            "tasmin": [ ],
            "tasmax": [ ],
            "pr": [ ]
        }
    },
    {
        "historical": {
            "name": "CNRM-CM6-1_historical_r1i1p1f2_gr.nc",
            "tasmin": [],
            "tasmax": [ ],
            "pr": [ ]
        },
        ...
    }
    ...
]
```

## Analysis scripts

These have equivalent '.sh' files for running on Gadi

### run_climpact_historical.py

Processes the CMIP6 historical experiments for climpact by pre-processing using
'prepare.py' and then runs 'climpact2.ncdf.wrapper.r'

### prep_climpact.py

Creates threshold files for calculating SSP metrics from the historical
experiment by pre-processing with 'prepare.py' and then running
'climpact2.ncdf.thresholds.wrapper.r'

### run_climpact_ssp.py

Processes the CMIP6 SSP experiments for climpact by pre-processing using
'prepare.py' and then runs 'climpact2.ncdf.wrapper.r'. Threshold files must
have previously been created.
