#!/usr/bin/env python
#
# Copyright 2019 Scott Wales
#
# Author: Scott Wales <scott.wales@unimelb.edu.au>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os
import subprocess
import json
import sys
import xarray
from pathlib import Path
from dask.diagnostics import ProgressBar

from prepare import prepare_files


if __name__ == '__main__':
    run = sys.argv[1]

    j = json.load(sys.stdin)

    for k, v in j.items():
        if 'historical' not in v:
            continue
        if v['historical']['name'] == run:
            r = v

    exp = r['historical']
    name = exp['name']

    inputs = prepare_files(exp)

    output = Path('/g/data/w40/saw562/climpact') / name
    output.mkdir(exist_ok=True)

    subprocess.run(['Rscript','climpact2.ncdf.wrapper.r', *inputs, '', output], check=True)
        



