; Margot Bador, UNSW, m.bador@unsw.edu.au, 2020.
;
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"

begin
  ;
  ;
;########### Miscellaneous ##############################################"
  ; 
  index              = "cdd" ; rx1day r10mm cdd txx tnn wsdi
  ;
  ;
;#######################################################################"
  ;
  ; Prep loading the indice of every datasets
  pathin             = "/g/data/w40/saw562/climpact/AWAPv2/"
  pathout            = "/g/data/w40/mba561/AWAP_regridded/"
  ;
  ; choice of interpolation
  temperature_indices= (/ "dtr", "csdi", "wsdi", "fd", "gsl", "su", "tn10p", "tn90p", "tnn", \
                            "tnx", "tr", "tx10p", "tx90p", "txn", "txx" /)
  precipitation_indices= (/ "cdd", "cwd", "prcptot", "r10mm", "r20mm", "r99p", "r95p", \
                            "rx1day", "rx5day", "sdii" /)
  if any( temperature_indices.eq.index ) then
    interp           = "remapbil"
  end if
  if any( precipitation_indices.eq.index ) then
    interp           = "remapcon"
  end if
  ;
  ;
  ;
  ; 1. regrid
  ;
  filein           = systemfunc( "ls "+pathin+index+"_ANN_*http://AWAP.nc" )
  fileout          = index+"ANN_climpact_AWAP_regridded.nc"
  command          := systemfunc( "cdo "+interp+",r240x120 "+filein+" "+pathout+fileout )
  ;
  ; 2. mask
  ;
  fmask            = "/g/data/w40/mba561/AWAP_regridded/mask_AWAP_r240.120.nc"
  filein           = fileout
  fileout          = index+"ANN_climpact_AWAP_regridded_and_masked.nc"
  command          := systemfunc( "cdo -sellonlatbox,112,156.25,-44.5,-10 -ifthen "+fmask+" "+pathout+filein+" "+pathout+fileout )
  ;
  ;
  ;
  ;
end
;EOF

