# Analyses of temperature and precipitation extremes

## Scripts for generating Figure 11 and Supplementary Figures 1, 2, 3 and 8


**Data required:**
The climpact software was applied to the AWAP observations and the CMIP6 models to calculate the temperature and precipitation indices. Relevant information can be found in `./climpact/`

The CMIP5 extreme indices were directly downloaded from: http://climate-modelling.canada.ca/climatemodeldata/climdex/

**Pre-processing step: regridding the indices on the common r240x120 regular grid**

regrid_and_mask_AWAP.ncl

regrid_CMIP5_CMIP6_historical_rcp85_ssp585.ncl

**Scripts for the figures:**

code_to_generate_Figure_11.ncl

code_to_generate_Supp_Figure_1.ncl

code_to_generate_Supp_Figure_2.ncl

code_to_generate_Supp_Figure_3.ncl

code_to_generate_Supp_Figure_8.ncl

**Other files needed to run the scripts:**

list_models_historical_for_indices_CMIP5.txt

list_models_historical_for_indices_CMIP6.txt

list_models_rcp85_for_indices_CMIP5.txt

list_models_ssp585_for_indices_CMIP6.txt
